package com.chenyang.nse.bussiness.entity.vo;

import com.chenyang.nse.bussiness.entity.cache.LoginUser;
import com.chenyang.nse.bussiness.entity.vo.datascope.SensitivelevelVO;

public class SensitiveLevelReqVO {
   private SensitivelevelVO sensitivelevelVO;
   private LoginUser loginUser;

   public SensitivelevelVO getSensitivelevelVO() {
      return this.sensitivelevelVO;
   }

   public LoginUser getLoginUser() {
      return this.loginUser;
   }

   public void setSensitivelevelVO(final SensitivelevelVO sensitivelevelVO) {
      this.sensitivelevelVO = sensitivelevelVO;
   }

   public void setLoginUser(final LoginUser loginUser) {
      this.loginUser = loginUser;
   }

   public boolean equals(final Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof SensitiveLevelReqVO)) {
         return false;
      } else {
         SensitiveLevelReqVO other = (SensitiveLevelReqVO)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            Object this$sensitivelevelVO = this.getSensitivelevelVO();
            Object other$sensitivelevelVO = other.getSensitivelevelVO();
            if (this$sensitivelevelVO == null) {
               if (other$sensitivelevelVO != null) {
                  return false;
               }
            } else if (!this$sensitivelevelVO.equals(other$sensitivelevelVO)) {
               return false;
            }

            Object this$loginUser = this.getLoginUser();
            Object other$loginUser = other.getLoginUser();
            if (this$loginUser == null) {
               if (other$loginUser != null) {
                  return false;
               }
            } else if (!this$loginUser.equals(other$loginUser)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(final Object other) {
      return other instanceof SensitiveLevelReqVO;
   }

   public int hashCode() {
      int PRIME = 59;
      int result = 1;
      Object $sensitivelevelVO = this.getSensitivelevelVO();
      result = result * 59 + ($sensitivelevelVO == null ? 43 : $sensitivelevelVO.hashCode());
      Object $loginUser = this.getLoginUser();
      result = result * 59 + ($loginUser == null ? 43 : $loginUser.hashCode());
      return result;
   }

   public String toString() {
      return "SensitiveLevelReqVO(sensitivelevelVO=" + this.getSensitivelevelVO() + ", loginUser=" + this.getLoginUser() + ")";
   }
}
